# resources/resource_definitions/fixed_combat_tactic_range.gd
class_name FixedCombatTacticRange extends CombatTacticRange

@export var tactic_range: int = 1

func is_valid_range(distance: int, unit: Unit) -> bool:
	return distance <= tactic_range
